########################################################
### x-credit.tcl 1.0 by Xtreame                      ###
### change the triggers to whatever                  ###
### only msg messages avaible                        ###
### If x-credit.sh is not allocated in /glftpd/bin   ###
### change the paths below                           ###
########################################################

set sitename "ABC"
set xcreditscript {/glftpd/bin/x-credit.sh}

bind pub -|- !show pub:xshow
bind msg -|- !show msg:xshow

bind pub -|- !give pub:xgive
bind msg -|- !give msg:xgive

bind pub -|- !take pub:xtake
bind msg -|- !take msg:xtake

bind pub -|- !transfer pub:xtransfer
bind msg -|- !transfer msg:xtransfer

bind pub -|- !credits pub:xcredits

### Help text for show command
proc pub:xshow {nick uhost handle chan text} {
 global botnick sitename
 puthelp "PRIVMSG $chan :Usage: /msg $botnick !show <username> <password>"
 puthelp "PRIVMSG $chan :Example: /msg $botnick !show foobre g7h4d0"
 puthelp "PRIVMSG $chan :Result:\0034\002-$sitename-\002\003 You have 35000 MB Credits and ratio 3"
}
### Help text for give
proc pub:xgive {nick uhost handle chan text} {
 global botnick sitename
 puthelp "PRIVMSG $chan :Usage: /msg $botnick !give <username> <password> <username> <MB>"
 puthelp "PRIVMSG $chan :Example: /msg $botnick !give foobre g7h4d0 brefoo 600"
 puthelp "PRIVMSG $chan :Result:\0034\002-$sitename-\002\003 You has gives 600 MB to brefoo"
}
### Help text for take
proc pub:xtake {nick uhost handle chan text} {
 global botnick sitename
 puthelp "PRIVMSG $chan :Usage: /msg $botnick !take <username> <password> <username> <MB>"
 puthelp "PRIVMSG $chan :Example: /msg $botnick !take foobre g7h4d0 brefoo 600"
 puthelp "PRIVMSG $chan :Result:\0034\002-$sitename-\002\003 You has takes 600 MB from brefoo"
}
###Help text for transfer
proc pub:xtransfer {nick uhost handle chan text} {
 global botnick sitename
 puthelp "PRIVMSG $chan :Usage: /msg $botnick !transfer <username> <password> <username> <MB>"
 puthelp "PRIVMSG $chan :Example: /msg $botnick !transfer foobre g7h4d0 brefoo 600"
 puthelp "PRIVMSG $chan :Result:\0034\002-$sitename-\002\003 You have transfer 600 MB to brefoo"
}
###Help text
proc pub:xcredits {nick uhost handle chan text} {
 global botnick
 puthelp "PRIVMSG $chan :X-Credit 1.0 by Xtreame"
 puthelp "PRIVMSG $chan :Available commands are !show, !give, !take and !transfer"
 puthelp "PRIVMSG $chan :For command give you need flag G and for take flag F"
 puthelp "PRIVMSG $chan :To get your valid password, type site getcode"
 puthelp "PRIVMSG $chan :Type !command to display more info"
}
 
### Code for show
proc msg:xshow { nick host hand arg } {
 global xcreditscript sitename
 set suser [lindex $arg 0]
 set spass [lindex $arg 1]
 foreach line [split [exec $xcreditscript show $suser $spass] "\n"] {
      putquick "PRIVMSG $nick :\0034\002-$sitename-\002\003 \002$line\002"
 }
}

### Code for give
proc msg:xgive { nick host hand arg } {
 global xcreditscript sitename
 set suser [lindex $arg 0]
 set spass [lindex $arg 1]
 set gtcuser [lindex $arg 2]
 set gtmb [lindex $arg 3]
 foreach line [split [exec $xcreditscript give $suser $spass $gtcuser $gtmb] "\n"] {
      putquick "PRIVMSG $nick :\0034\002-$sitename-\002\003 \002$line\002"
 }
}

### Code for take
proc msg:xtake { nick host hand arg } {
 global xcreditscript sitename
 set suser [lindex $arg 0]
 set spass [lindex $arg 1]
 set gtcuser [lindex $arg 2]
 set gtmb [lindex $arg 3]
 foreach line [split [exec $xcreditscript take $suser $spass $gtcuser $gtmb] "\n"] {
      putquick "PRIVMSG $nick :\0034\002-$sitename-\002\003 \002$line\002"
 }
}

### Code for transfer
proc msg:xtransfer { nick host hand arg } {
 global xcreditscript sitename
 set suser [lindex $arg 0]
 set spass [lindex $arg 1]
 set gtcuser [lindex $arg 2]
 set gtmb [lindex $arg 3]
 foreach line [split [exec $xcreditscript transfer $suser $spass $gtcuser $gtmb] "\n"] {
      putquick "PRIVMSG $nick :\0034\002-$sitename-\002\003 \002$line\002"
 }
}

putlog "x-credit.tcl 1.0 by Xtreame loaded"
